Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.query
Class MatchTuple

    java.lang.Object
      com.stc.eindex.ejb.query.MatchTuple

All Implemented Interfaces:
  java.io.Serializable

public class MatchTuple
extends java.lang.Object
implements java.io.Serializable

The MatchTuple class is used by the match engine when a candidate pool of possible matches to a record is returned by the Query Manager. Each record is one instance of the MatchTuple class. This class consists of the EUID of the record and a String array of elements each corresponding to a field in the record (converted to a String). If a field is null in the database, the corresponding array element is also null. The fields included in the String array are the fields defined for matching in the Match Field file in the eView Project.

See Also:
  Serialized Form

Constructor Summary
`MatchTuple()` Creates a new instance of the MatchTuple class.
`MatchTuple(java.lang.String meuid, java.lang.String[] mdata)` Creates a new instance of the MatchTuple class.

Method Summary
`java.lang.String[]` | `getData()` Retrieves the tuple data (that is, all the fields of the tuple) for the MatchTuple object.
`java.lang.String` | `getEuid()` Retrieves the EUID for the MatchTuple object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchTuple

    public MatchTuple()

  Creates a new instance of the MatchTuple class.

  Parameters:
    None.
  Throws:
    None.

### MatchTuple

    public MatchTuple(java.lang.String meuid,
                      java.lang.String[] mdata)

  Creates a new instance of the MatchTuple class.

  Parameters:
    `meuid` - The EUID of the record.
    `mdata` - An array of data associated with the record.
  Throws:
    None.

Method Detail

### getData

    public java.lang.String[] getData()

  Retrieves the tuple data (that is, all the fields of the tuple) for the MatchTuple object.

  Parameters:
    None.

  Returns:
    `String[]` - An array of fields associated with the record.
  Throws:
    None.

### getEuid

    public java.lang.String getEuid()

  Retrieves the EUID for the MatchTuple object.

  Parameters:
    None.

  Returns:
    `String` - The EUID associated with the record.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.